org.apache.log4j.chainsaw

## Class LogPanelPreferenceModel

- java.lang.Object
- - org.apache.log4j.chainsaw.LogPanelPreferenceModel

- All Implemented Interfaces:
    Serializable

      public class LogPanelPreferenceModel
      extends Object
      implements Serializable

  Used to encapsulate all the preferences for a given LogPanel
  Author:
    Paul Smith
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Collection` | `DATE_FORMATS`
    `static String` | `ISO8601`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogPanelPreferenceModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addColumn(TableColumn column)`
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)`
    `void` | `addPropertyChangeListener(String propertyName, PropertyChangeListener listener)`
    `void` | `apply(LogPanelPreferenceModel model)` Applies all the properties of another model to this model
    `void` | `clearColumns()`
    `String` | `getAlwaysDisplayExpression()`
    `String` | `getClearTableExpression()`
    `List` | `getColumns()` Returns an unmodifiable list of the columns.
    `String` | `getDateFormatPattern()` Returns the Date Pattern string for the alternate date formatter.
    `String` | `getHiddenExpression()`
    `Collection` | `getHiddenLoggers()`
    `String` | `getLoggerPrecision()` Returns the Logger precision.
    `String` | `getTimeZone()`
    `List` | `getVisibleColumnOrder()`
    `List` | `getVisibleColumns()` Returns an unmodifiable list of the visible columns.
    `boolean` | `isColumnVisible(TableColumn column)` Returns true if the named column should be made visible otherwise false.
    `boolean` | `isCustomDateFormat()`
    `boolean` | `isCyclic()`
    `boolean` | `isDetailPaneVisible()`
    `boolean` | `isHighlightSearchMatchText()`
    `boolean` | `isLevelIcons()`
    `boolean` | `isLogTreePanelVisible()`
    `boolean` | `isScrollToBottom()`
    `boolean` | `isSearchResultsVisible()`
    `boolean` | `isShowMillisDeltaAsGap()`
    `boolean` | `isThumbnailBarToolTips()`
    `boolean` | `isToolTips()`
    `boolean` | `isUseISO8601Format()` Returns true if this the fast ISO8601DateFormat object should be used instead of SimpleDateFormat
    `boolean` | `isWrapMessage()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)`
    `void` | `removePropertyChangeListener(String propertyName, PropertyChangeListener listener)`
    `void` | `setAlwaysDisplayExpression(String alwaysDisplayExpression)`
    `void` | `setClearTableExpression(String clearTableExpression)`
    `void` | `setColumnVisible(String columnName, boolean isVisible)`
    `void` | `setCyclic(boolean cyclic)`
    `void` | `setDateFormatPattern(String dateFormatPattern)`
    `void` | `setDefaultDatePatternFormat()`
    `void` | `setDetailPaneVisible(boolean detailPaneVisible)`
    `void` | `setHiddenExpression(String hiddenExpression)`
    `void` | `setHiddenLoggers(Collection hiddenSet)`
    `void` | `setHighlightSearchMatchText(boolean highlightSearchMatchText)`
    `void` | `setLevelIcons(boolean levelIcons)`
    `void` | `setLoggerPrecision(String loggerPrecision)`
    `void` | `setLogTreePanelVisible(boolean logTreePanelVisible)`
    `void` | `setScrollToBottom(boolean scrollToBottom)`
    `void` | `setSearchResultsVisible(boolean searchResultsVisible)`
    `void` | `setShowMillisDeltaAsGap(boolean showMillisDeltaAsGap)`
    `void` | `setThumbnailBarToolTips(boolean thumbnailBarToolTips)`
    `void` | `setTimeZone(String timeZone)`
    `void` | `setToolTips(boolean toolTips)`
    `void` | `setVisibleColumnOrder(List visibleColumnOrder)`
    `void` | `setWrapMessage(boolean wrapMsg)`
    `void` | `toggleColumn(TableColumn column)` Toggles the state between visible, non-visible for a particular Column name

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ISO8601

          public static final String ISO8601

      See Also:
        Constant Field Values

    - #### DATE_FORMATS

          public static final Collection DATE_FORMATS

  - ### Constructor Detail

    - #### LogPanelPreferenceModel

          public LogPanelPreferenceModel()

  - ### Method Detail

    - #### getColumns

          public List getColumns()

      Returns an unmodifiable list of the columns. The reason it is unmodifiable is to enforce the requirement that the List is actually unique columns. IT _could_ be a set, but we need to maintain the order of insertion.
      Returns:

    - #### setCyclic

          public void setCyclic(boolean cyclic)

    - #### isCyclic

          public boolean isCyclic()

    - #### getVisibleColumns

          public List getVisibleColumns()

      Returns an unmodifiable list of the visible columns. The reason it is unmodifiable is to enforce the requirement that the List is actually unique columns. IT _could_ be a set, but we need to maintain the order of insertion.
      Returns:

    - #### clearColumns

          public void clearColumns()

    - #### setVisibleColumnOrder

          public void setVisibleColumnOrder(List visibleColumnOrder)

    - #### getVisibleColumnOrder

          public List getVisibleColumnOrder()

    - #### addColumn

          public boolean addColumn(TableColumn column)

    - #### getDateFormatPattern

          public final String getDateFormatPattern()

      Returns the Date Pattern string for the alternate date formatter.
      Returns:
        date pattern

    - #### setDefaultDatePatternFormat

          public final void setDefaultDatePatternFormat()

    - #### setDateFormatPattern

          public final void setDateFormatPattern(String dateFormatPattern)

      Parameters:
        `dateFormatPattern` -

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Parameters:
        `listener` -

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(String propertyName,
                                                PropertyChangeListener listener)

      Parameters:
        `propertyName` -
        `listener` -

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Parameters:
        `listener` -

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(String propertyName,
                                                   PropertyChangeListener listener)

      Parameters:
        `propertyName` -
        `listener` -

    - #### apply

          public void apply(LogPanelPreferenceModel model)

      Applies all the properties of another model to this model
      Parameters:
        `model` - the model to copy all the properties from

    - #### isUseISO8601Format

          public boolean isUseISO8601Format()

      Returns true if this the fast ISO8601DateFormat object should be used instead of SimpleDateFormat
      Returns:
        use ISO8601 format flag

    - #### isLevelIcons

          public boolean isLevelIcons()

      Returns:
        level icons flag

    - #### isWrapMessage

          public boolean isWrapMessage()

    - #### isHighlightSearchMatchText

          public boolean isHighlightSearchMatchText()

    - #### setLevelIcons

          public void setLevelIcons(boolean levelIcons)

      Parameters:
        `levelIcons` -

    - #### setSearchResultsVisible

          public void setSearchResultsVisible(boolean searchResultsVisible)

    - #### isSearchResultsVisible

          public boolean isSearchResultsVisible()

    - #### setWrapMessage

          public void setWrapMessage(boolean wrapMsg)

      Parameters:
        `wrapMsg` -

    - #### setHighlightSearchMatchText

          public void setHighlightSearchMatchText(boolean highlightSearchMatchText)

      Parameters:
        `highlightSearchMatchText` -

    - #### setLoggerPrecision

          public void setLoggerPrecision(String loggerPrecision)

      Parameters:
        `loggerPrecision` - - an integer representing the number of packages to display, or an empty string representing 'display all packages'

    - #### getLoggerPrecision

          public final String getLoggerPrecision()

      Returns the Logger precision.
      Returns:
        logger precision

    - #### isColumnVisible

          public boolean isColumnVisible(TableColumn column)

      Returns true if the named column should be made visible otherwise false.
      Parameters:
        `column` -
      Returns:
        column visible flag

    - #### setColumnVisible

          public void setColumnVisible(String columnName,
                                       boolean isVisible)

    - #### toggleColumn

          public void toggleColumn(TableColumn column)

      Toggles the state between visible, non-visible for a particular Column name
      Parameters:
        `column` -

    - #### isDetailPaneVisible

          public final boolean isDetailPaneVisible()

      Returns:
        detail pane visible flag

    - #### setDetailPaneVisible

          public final void setDetailPaneVisible(boolean detailPaneVisible)

      Parameters:
        `detailPaneVisible` -

    - #### isScrollToBottom

          public final boolean isScrollToBottom()

      Returns:
        scroll to bottom flag

    - #### isShowMillisDeltaAsGap

          public final boolean isShowMillisDeltaAsGap()

    - #### setScrollToBottom

          public final void setScrollToBottom(boolean scrollToBottom)

      Parameters:
        `scrollToBottom` -

    - #### setShowMillisDeltaAsGap

          public final void setShowMillisDeltaAsGap(boolean showMillisDeltaAsGap)

      Parameters:
        `showMillisDeltaAsGap` -

    - #### setThumbnailBarToolTips

          public final void setThumbnailBarToolTips(boolean thumbnailBarToolTips)

    - #### isThumbnailBarToolTips

          public final boolean isThumbnailBarToolTips()

    - #### isToolTips

          public final boolean isToolTips()

      Returns:
        tool tips enabled flag

    - #### setToolTips

          public final void setToolTips(boolean toolTips)

      Parameters:
        `toolTips` -

    - #### isLogTreePanelVisible

          public final boolean isLogTreePanelVisible()

      Returns:
        log tree panel visible flag

    - #### setLogTreePanelVisible

          public final void setLogTreePanelVisible(boolean logTreePanelVisible)

      Parameters:
        `logTreePanelVisible` -

    - #### isCustomDateFormat

          public boolean isCustomDateFormat()

      Returns:
        custom date format flag

    - #### setHiddenLoggers

          public void setHiddenLoggers(Collection hiddenSet)

    - #### getHiddenLoggers

          public Collection getHiddenLoggers()

    - #### getTimeZone

          public String getTimeZone()

    - #### setTimeZone

          public void setTimeZone(String timeZone)

    - #### setHiddenExpression

          public void setHiddenExpression(String hiddenExpression)

    - #### getHiddenExpression

          public String getHiddenExpression()

    - #### setAlwaysDisplayExpression

          public void setAlwaysDisplayExpression(String alwaysDisplayExpression)

    - #### getAlwaysDisplayExpression

          public String getAlwaysDisplayExpression()

    - #### setClearTableExpression

          public void setClearTableExpression(String clearTableExpression)

    - #### getClearTableExpression

          public String getClearTableExpression()

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.